https://rancher.com/ logo
Title
g

gentle-teacher-48778

04/06/2023, 4:40 PM
Hi to everyone. Actually I have a cluster with rke2 version v1.20.15+rke2r2, and is connected to rancher. I want to upgrade rke2 to the latest stable version. But doing that, means that the rancher version that I have don't supports the latest version of rke2. I already installed the latest rancher version also. And the idea, is moving this cluster to that rancher after upgraded. But I can't figure how to do it. Should I first remove the cluster from rancher? How to do it? Upgrading will remove that connection? Thanks in advance
p

polite-piano-74233

04/06/2023, 6:55 PM
you can either wait for rancher to support 1.25 (next release should) or just upgrade to 1.24
g

gentle-teacher-48778

04/07/2023, 5:46 AM
Thank you. Yes, but I'm concerned about the cluster had been already imported to the rancher ui Upgrading the cluster will allow to import to the new rancher UI?
During the weekend I've done some tests. Just removing the cluster from rancher removed everything from the cluster that belonged to rancher. Upgrade the cluster to 1.24 as your suggestion and joining new rancher version. Everything worked. Thank you
­čÖî 1